### Function

# FwupdPlugin output_stream_from_path

#### Declaration [src]

    GOutputStream*
    fu_output_stream_from_path (
      const gchar* path,
      GError** error
    )

#### Description [src]

Opens the file as an output stream.

Available since: | 2.0.12

#### Parameters

`path` | `const gchar*`
| A filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GOutputStream`
| A `GOutputStream`, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.